import { BaseAxis, NumericValueRef, ColorValueRef, ScaledValueRef } from "vega";

type ExcludeMapped<T, E> = {
    [P in keyof T]: Exclude<T[P], E>;
};

export type ExcludeMappedValueRef<T> = ExcludeMapped<T, ScaledValueRef<any> | NumericValueRef | ColorValueRef>;

export type ExcludeSomething<T> = {
    [P in keyof T]: Exclude<T[P], ScaledValueRef<any> | NumericValueRef | ColorValueRef>;
};
export type MyObject = ExcludeMappedValueRef<BaseAxis>;
